programmer400
Programmer
Dear friends
I have been trying to run the demo programs from Systinet Server for C++ up and running on my HP-US box.
To run a demo , we need to compile the it first on Hp-UX and there is a ./configure script to be run. This configure.sh scrip while running gves an error at CXXFLAGS parameter which is the C++ flags variable that’s used by the configure script of the Systinet system. While running the ./configure script the erorr I m getting is
"error: CXXFLAGS used during compilation of SSC do not work. You are probably using different C++ compiler."
The part of a shell script which has the above error message is as below :
-----------------------------------------------------------
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_cxx_werror_flag"
|| test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
:
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
{ { echo "$as_me:$LINENO: error: CXXFLAGS used during compilation of SSC do not work.
You are probably using different C++ compiler. The original flags
were: $WASP_CXXFLAGS" >&5
echo "$as_me: error: CXXFLAGS used during compilation of SSC do not work.
You are probably using different C++ compiler. The original flags
were: $WASP_CXXFLAGS" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
---------------------------------------------------------
I did not understand properly the code part which throws the error.
I would be thankful for all the expert suggestion.
Thank you for your time.
I have been trying to run the demo programs from Systinet Server for C++ up and running on my HP-US box.
To run a demo , we need to compile the it first on Hp-UX and there is a ./configure script to be run. This configure.sh scrip while running gves an error at CXXFLAGS parameter which is the C++ flags variable that’s used by the configure script of the Systinet system. While running the ./configure script the erorr I m getting is
"error: CXXFLAGS used during compilation of SSC do not work. You are probably using different C++ compiler."
The part of a shell script which has the above error message is as below :
-----------------------------------------------------------
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_cxx_werror_flag"
|| test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
:
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
{ { echo "$as_me:$LINENO: error: CXXFLAGS used during compilation of SSC do not work.
You are probably using different C++ compiler. The original flags
were: $WASP_CXXFLAGS" >&5
echo "$as_me: error: CXXFLAGS used during compilation of SSC do not work.
You are probably using different C++ compiler. The original flags
were: $WASP_CXXFLAGS" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
---------------------------------------------------------
I did not understand properly the code part which throws the error.
I would be thankful for all the expert suggestion.
Thank you for your time.